Skip to main content
GET
/
api
/
v1
/
chats
/
{chat_id}
/
messages
List messages in a chat
curl --request GET \
  --url https://api.izap.ai/api/v1/chats/{chat_id}/messages \
  --header 'Authorization: Bearer <token>'
{
  "messages": [
    {
      "id": "m1a2b3c4-1234-4a5b-9c8d-abcdef123456",
      "sender": "user",
      "content": "Oi!",
      "timestamp": "2026-07-01T12:00:00Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /api/v1/auth/jwt/login, the OAuth token endpoint, or a business-scoped API token. Some Business/Chat/Template/Scheduling endpoints alternatively accept HTTP Basic credentials scoped to the business slug.

Path Parameters

chat_id
string<uuid>
required

Response

Messages for the chat.

The response is of type object.